import 'package:rasadyar_core/core.dart';

part 'poultry_export.freezed.dart';
part 'poultry_export.g.dart';

@freezed
abstract class PoultryExport with _$PoultryExport {
  const factory PoultryExport({
    String? key,
    bool? allow,
    bool? limitationStatus,
    double? limitation,
  }) = _PoultryExport;

  factory PoultryExport.fromJson(Map<String, dynamic> json) =>
      _$PoultryExportFromJson(json);
}
